ata_do_simple_cmd
Prev | Chapter 5. libata Core Internals | Next

## Name

ata_do_simple_cmd — execute simple internal command

## Synopsis

`unsigned int ata_do_simple_cmd (` | struct ata_device * | dev,
| u8 | cmd`)`;

## Arguments

`dev`

  Device to which the command is sent

`cmd`

  Opcode to execute

## Description

Execute a 'simple' command, that only consists of the opcode 'cmd' itself, without filling any other registers

## LOCKING

Kernel thread context (may sleep).

## RETURNS

Zero on success, AC_ERR_* mask on failure

Prev | Up | Next
ata_exec_internal | Home | ata_pio_mask_no_iordy